<?php

namespace Ionut;

use DB;
use Illuminate\Database\Seeder;

class BiblioTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('agendas')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'biblio.agenda.view',
                'name'      => 'View Agenda',
            ],
            [
                'slug'      => 'biblio.agenda.create',
                'name'      => 'Create Agenda',
            ],
            [
                'slug'      => 'biblio.agenda.edit',
                'name'      => 'Update Agenda',
            ],
            [
                'slug'      => 'biblio.agenda.delete',
                'name'      => 'Delete Agenda',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'biblio.agenda.verify',
                'name'      => 'Verify Agenda',
            ],
            [
                'slug'      => 'biblio.agenda.approve',
                'name'      => 'Approve Agenda',
            ],
            [
                'slug'      => 'biblio.agenda.publish',
                'name'      => 'Publish Agenda',
            ],
            [
                'slug'      => 'biblio.agenda.unpublish',
                'name'      => 'Unpublish Agenda',
            ],
            [
                'slug'      => 'biblio.agenda.cancel',
                'name'      => 'Cancel Agenda',
            ],
            [
                'slug'      => 'biblio.agenda.archive',
                'name'      => 'Archive Agenda',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/biblio/agenda',
                'name'        => 'Agenda',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/biblio/agenda',
                'name'        => 'Agenda',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'agenda',
                'name'        => 'Agenda',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Biblio',
                'module'    => 'Agenda',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'biblio.agenda.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
