<?php

namespace Ionut;

use DB;
use Illuminate\Database\Seeder;

class BiblioTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('edituris')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'biblio.edituri.view',
                'name'      => 'View Edituri',
            ],
            [
                'slug'      => 'biblio.edituri.create',
                'name'      => 'Create Edituri',
            ],
            [
                'slug'      => 'biblio.edituri.edit',
                'name'      => 'Update Edituri',
            ],
            [
                'slug'      => 'biblio.edituri.delete',
                'name'      => 'Delete Edituri',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'biblio.edituri.verify',
                'name'      => 'Verify Edituri',
            ],
            [
                'slug'      => 'biblio.edituri.approve',
                'name'      => 'Approve Edituri',
            ],
            [
                'slug'      => 'biblio.edituri.publish',
                'name'      => 'Publish Edituri',
            ],
            [
                'slug'      => 'biblio.edituri.unpublish',
                'name'      => 'Unpublish Edituri',
            ],
            [
                'slug'      => 'biblio.edituri.cancel',
                'name'      => 'Cancel Edituri',
            ],
            [
                'slug'      => 'biblio.edituri.archive',
                'name'      => 'Archive Edituri',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/biblio/edituri',
                'name'        => 'Edituri',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/biblio/edituri',
                'name'        => 'Edituri',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'edituri',
                'name'        => 'Edituri',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Biblio',
                'module'    => 'Edituri',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'biblio.edituri.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
