<?php

namespace Ionut\Biblio;

use User;

class Biblio
{
    /**
     * $edituri object.
     */
    protected $edituri;
    /**
     * $agenda object.
     */
    protected $agenda;

    /**
     * Constructor.
     */
    public function __construct(\Ionut\Biblio\Interfaces\EdituriRepositoryInterface $edituri,
        \Ionut\Biblio\Interfaces\AgendaRepositoryInterface $agenda)
    {
        $this->edituri = $edituri;
        $this->agenda = $agenda;
    }

    /**
     * Returns count of biblio.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.edituri.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->edituri->pushCriteria(new \Litepie\Ionut\Repositories\Criteria\EdituriUserCriteria());
        }

        $edituri = $this->edituri->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('biblio::' . $view, compact('edituri'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.agenda.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->agenda->pushCriteria(new \Litepie\Ionut\Repositories\Criteria\AgendaUserCriteria());
        }

        $agenda = $this->agenda->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('biblio::' . $view, compact('agenda'))->render();
    }
}
