<?php

namespace Ionut\Biblio\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Edituri policy
        'Ionut\Biblio\Models\Edituri' => \Ionut\Biblio\Policies\EdituriPolicy::class,
// Bind Agenda policy
        'Ionut\Biblio\Models\Agenda' => \Ionut\Biblio\Policies\AgendaPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
