<?php

namespace Ionut\Biblio\Providers;

use Litepie\Contracts\Workflow\Workflow as WorkflowContract;
use Litepie\Foundation\Support\Providers\WorkflowServiceProvider as ServiceProvider;

class WorkflowServiceProvider extends ServiceProvider
{
    /**
     * The validators mappings for the package.
     *
     * @var array
     */
    protected $validators = [
        // Bind Edituri workflow validator
        'Ionut\Biblio\Models\Edituri' => \Ionut\Biblio\Workflow\EdituriValidator::class,

        // Bind Agenda workflow validator
        'Ionut\Biblio\Models\Agenda' => \Ionut\Biblio\Workflow\AgendaValidator::class,
    ];

    /**
     * The actions mappings for the package.
     *
     * @var array
     */
    protected $actions = [
        // Bind Edituri workflow actions
        'Ionut\Biblio\Models\Edituri' => \Ionut\Biblio\Workflow\EdituriAction::class,

        // Bind Agenda workflow actions
        'Ionut\Biblio\Models\Agenda' => \Ionut\Biblio\Workflow\AgendaAction::class,
    ];

    /**
     * The notifiers mappings for the package.
     *
     * @var array
     */
    protected $notifiers = [
       // Bind Edituri workflow notifiers
        'Ionut\Biblio\Models\Edituri' => \Ionut\Biblio\Workflow\EdituriNotifier::class,

        // Bind Agenda workflow notifiers
        'Ionut\Biblio\Models\Agenda' => \Ionut\Biblio\Workflow\AgendaNotifier::class,
    ];

    /**
     * Register any package workflow validation services.
     *
     * @param \Litepie\Contracts\Workflow\Workflow $workflow
     *
     * @return void
     */
    public function boot(WorkflowContract $workflow)
    {
        parent::registerValidators($workflow);
        parent::registerActions($workflow);
        parent::registerNotifiers($workflow);
    }
}
