<?php

namespace Ionut\Biblio\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class AgendaTransformer extends TransformerAbstract
{
    public function transform(\Ionut\Biblio\Models\Agenda $agenda)
    {
        return [
            'id'                => $agenda->getRouteKey(),
            'key'               => [
                'public'    => $agenda->getPublicKey(),
                'route'     => $agenda->getRouteKey(),
            ], 
            'id_agenda'         => $agenda->id_agenda,
            'Denumire'          => $agenda->Denumire,
            'url'               => [
                'public'    => trans_url('biblio/'.$agenda->getPublicKey()),
                'user'      => guard_url('biblio/agenda/'.$agenda->getRouteKey()),
            ], 
            'status'            => trans('app.'.$agenda->status),
            'created_at'        => format_date($agenda->created_at),
            'updated_at'        => format_date($agenda->updated_at),
        ];
    }
}