<?php

namespace Ionut\Biblio\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class EdituriTransformer extends TransformerAbstract
{
    public function transform(\Ionut\Biblio\Models\Edituri $edituri)
    {
        return [
            'id'                => $edituri->getRouteKey(),
            'key'               => [
                'public'    => $edituri->getPublicKey(),
                'route'     => $edituri->getRouteKey(),
            ], 
            'id_editura'        => $edituri->id_editura,
            'editura'           => $edituri->editura,
            'id_agenda'         => $edituri->id_agenda,
            'url'               => [
                'public'    => trans_url('biblio/'.$edituri->getPublicKey()),
                'user'      => guard_url('biblio/edituri/'.$edituri->getRouteKey()),
            ], 
            'status'            => trans('app.'.$edituri->status),
            'created_at'        => format_date($edituri->created_at),
            'updated_at'        => format_date($edituri->updated_at),
        ];
    }
}