<?php

namespace Ionut\Biblio\Workflow;

use Ionut\Biblio\Models\Agenda;
use Ionut\Biblio\Notifications\AgendaWorkflow as AgendaNotifyer;
use Notification;

class AgendaNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Agenda $agenda
     *
     * @return void
     */
    public function complete(Agenda $agenda)
    {
        return Notification::send($agenda->user, new AgendaNotifyer($agenda, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Agenda $agenda
     *
     * @return void
     */
    public function verify(Agenda $agenda)
    {
        return Notification::send($agenda->user, new AgendaNotifyer($agenda, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Agenda $agenda
     *
     * @return void
     */
    public function approve(Agenda $agenda)
    {
        return Notification::send($agenda->user, new AgendaNotifyer($agenda, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Agenda $agenda
     *
     * @return void
     */
    public function publish(Agenda $agenda)
    {
        return Notification::send($agenda->user, new AgendaNotifyer($agenda, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Agenda $agenda
     *
     * @return void
     */
    public function archive(Agenda $agenda)
    {
        return Notification::send($agenda->user, new AgendaNotifyer($agenda, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Agenda $agenda
     *
     * @return void
     */
    public function unpublish(Agenda $agenda)
    {
        return Notification::send($agenda->user, new AgendaNotifyer($agenda, 'unpublish'));;

    }
}
