<?php

namespace Ionut\Biblio\Workflow;

use Ionut\Biblio\Models\Edituri;
use Ionut\Biblio\Notifications\EdituriWorkflow as EdituriNotifyer;
use Notification;

class EdituriNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Edituri $edituri
     *
     * @return void
     */
    public function complete(Edituri $edituri)
    {
        return Notification::send($edituri->user, new EdituriNotifyer($edituri, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Edituri $edituri
     *
     * @return void
     */
    public function verify(Edituri $edituri)
    {
        return Notification::send($edituri->user, new EdituriNotifyer($edituri, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Edituri $edituri
     *
     * @return void
     */
    public function approve(Edituri $edituri)
    {
        return Notification::send($edituri->user, new EdituriNotifyer($edituri, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Edituri $edituri
     *
     * @return void
     */
    public function publish(Edituri $edituri)
    {
        return Notification::send($edituri->user, new EdituriNotifyer($edituri, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Edituri $edituri
     *
     * @return void
     */
    public function archive(Edituri $edituri)
    {
        return Notification::send($edituri->user, new EdituriNotifyer($edituri, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Edituri $edituri
     *
     * @return void
     */
    public function unpublish(Edituri $edituri)
    {
        return Notification::send($edituri->user, new EdituriNotifyer($edituri, 'unpublish'));;

    }
}
